import request from '@/utils/request'

// 查询信息流管理列表
export function listQwInformation(query) {
  return request({
    url: '/qw/qwInformation/list',
    method: 'get',
    params: query
  })
}

export function statistics(query) {
  return request({
    url: '/qw/qwInformation/statistics',
    method: 'get',
    params: query
  })
}
// 查询信息流管理详细
export function getQwInformation(id) {
  return request({
    url: '/qw/qwInformation/' + id,
    method: 'get'
  })
}

// 新增信息流管理
export function addQwInformation(data) {
  return request({
    url: '/qw/information',
    method: 'post',
    data: data
  })
}

// 修改信息流管理
export function updateQwInformation(data) {
  return request({
    url: '/qw/information',
    method: 'put',
    data: data
  })
}

// 删除信息流管理
export function delQwInformation(id) {
  return request({
    url: '/qw/qwInformation/' + id,
    method: 'delete'
  })
}

// 导出信息流管理
export function exportQwInformation(query) {
  return request({
    url: '/qw/qwInformation/export',
    method: 'get',
    params: query
  })
}